Approve Visual Tests
- PATCH
- /workspaces
- /:workspace
- /projects
- /:project_name
- /pipelines
- /:pipeline_id
- /actions
- /:action_id
Update Approve Visual Tests action configuration
Warning
You can't change the type of an existing action. To change the type, remove the action and add it again.
Request example
curl -X PATCH "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/actions/:action_id" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"name": "Wait for VT approve",
"type": "APPROVE_VT",
"trigger_time": "ON_EVERY_EXECUTION",
"comment": "Please review and approve the visual tests",
"description": "Waiting for visual test session approval",
"from_action": "Visual tests",
"ref": "refs/heads/main"
}'STATUS200 OK